Skip to main content
GET
/
v2
/
deliveryNotes
/
{deliveryNoteId}
Get Delivery Note
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/deliveryNotes/{deliveryNoteId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "number": "<string>",
  "deliveryNoteDate": "2023-11-07T05:31:56Z",
  "packages": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "packageDate": "2023-11-07T05:31:56Z",
      "trackingID": "<string>",
      "weights": 123,
      "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "shippedDate": "2023-11-07T05:31:56Z",
      "trackingUrl": "<string>",
      "comment": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

deliveryNoteId
string<uuid>
required

The id of the delivery note.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the delivery note for the given id.

Model Class: DeliveryNote

id
string<uuid>

Unique ID to identify a delivery note.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string

The number of the delivery note.

deliveryNoteDate
string<date-time>

The date when the delivery note was created.

packages
object[]

All packages that are created with the delivery note.